<div class="widgets">



  <div class="row" *ngIf="curartist != null" style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px">

    <button type="button" style="position: absolute;right: 15px;top:5px;z-index: 99999" (click)="close()" class="btn btn-default btn-icon"><i
        class="ion-close-round"></i></button>


    <div class="col-md-4">

      <div class="form-group">
        <label for="artistName">Artist Name</label>
        <input class="form-control" [(ngModel)]="curartist.name" id="artistName">
      </div>


      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon">Update</button>
      </div>

    </div>

    <div class="col-md-4" style="text-align: center">

      <img src="{{curartist.image}}" style="height:70px">
      <div class="form-group">
        <label for="artistImage">Artist Image</label>
        <input type="file" id="artistImage" class="form-control" value="upload" #filebtn (change)="updateImage($event)">
      </div>

      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateImage()" class="btn btn-default btn-with-icon">Update {{progress}}</button>
      </div>

    </div>


    <div class="col-md-4">


      <img src="{{curartist.cover}}" style="height:70px">

      <div class="form-group">
        <label for="artistCover">Artist Cover</label>
        <input type="file" id="artistCover" class="form-control" value="upload" #filebtn (change)="updateCover($event)">
      </div>


      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateCover()" class="btn btn-default btn-with-icon">Update</button>
      </div>

    </div>

    <div class="col-md-4">

      <div class="form-group">
        <label for="artistCountry">Artist Country</label>
        <select class="form-control" [(ngModel)]="curartist.countryName">
          <option id="artistCountry" [ngValue]="0">None</option>
          <option *ngFor="let country of countrys | async" id="artistCountry" [ngValue]="country.val().name">{{country.val().name}}</option>
        </select>
      </div>


      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon">Update</button>
      </div>

    </div>

  </div>



  <div class="row">
    <div class="col-md-12">
      <input class="form-control" placeholder="Type artist to search" [(ngModel)]="searchTerm" (input)="search($event)" />
      <br>
    </div>

    <div class="col-md-3" *ngFor="let artist of artists">

      <div class="card" style="width: 100%">
        <img class="card-img-top" style="width:100%" src="{{artist.val().cover}}" alt="Card image cap">
        <div class="card-block">
          <h4 class="card-title">{{artist.val().name}}</h4>
          <p class="card-text">{{artist.val().countryName}}</p>
          <hr>
          <p class="card-text">{{artist.val().timestamp | date:'medium'}}</p>



        </div>
        <div class="card-block">
          <button type="button" (click)="edit(artist)" class="btn btn-default btn-with-icon"><i class="ion-edit"></i>Edit</button>
          <button type="button" (click)="delete(artist.key)" class="btn btn-primary btn-with-icon"><i class="ion-android-delete"></i>Delete</button>

        </div>
      </div>

    </div>


  </div>

</div>